
/**
 * CategoryVO，管理后台 - 类目 Response VO
 */
export interface CategoryVO {
    /**
     * 类目名称，最大长度不能超过125
     */
    categoryName: string;
    /**
     * 类目英文名称，最大长度255
     */
    categoryNameEn: string;
    /**
     * 创建时间
     */
    createTime: Date;
    /**
     * 主键
     */
    id: number;
    /**
     * 是否叶子节点，(1: 是, 2:不是)
     */
    isLeaf?: string;
    /**
     * 目录级别
     */
    level?: string;
    /**
     * 父类目id
     */
    parentId?: number;
    /**
     * 备注，最大长度255
     */
    remark?: string;
}

/**
 * CategoryTreeVO，管理后台 - 类目 Response VO
 */
export interface CategoryTreeVO {
    attrVO?: CategoryAdditionalAttrVO;
    /**
     * 类目名称，最大长度不能超过125
     */
    categoryName: string;
    /**
     * 类目英文名称，最大长度255
     */
    categoryNameEn: string;
    /**
     * 子节点
     */
    childrens?: CategoryTreeVO[];
    /**
     * 创建时间
     */
    createTime?: Date;
    /**
     * 主键
     */
    id: number;
    /**
     * 是否叶子节点，(1: 是, 2:不是)
     */
    isLeaf?: string;
    /**
     * 目录级别
     */
    level?: string;
    /**
     * 父类目id
     */
    parentId?: number;
    /**
     * 备注，最大长度255
     */
    remark?: string;
}

/**
 * CategoryAdditionalAttrVO，管理后台 - 类目附加属性 Response VO
 */
export interface CategoryAdditionalAttrVO {
    /**
     * 类目Id
     */
    categoryId: number;
    /**
     * 创建时间
     */
    createTime: Date;
    /**
     * 海关编码，最大长度100
     */
    customsName?: string;
    /**
     * 申报名称，最大长度125
     */
    declareName?: string;
    /**
     * 申报名称_英文，最大长度125
     */
    declareNameEn?: string;
    /**
     * 申报价格
     */
    declarePrice?: number;
    /**
     * 申报重量
     */
    declareWeight?: number;
    /**
     * 主键
     */
    id: number;
    /**
     * 是否上传尺码表(1:是, 2:否)
     */
    isSizeTable: string;
    /**
     * 包材id
     */
    packingId: number;
}



export interface CategoryPageReqVO extends PageParam {
    /**
     * 类目名称
     */
    categoryName?: string;
    /**
     * 类目英文名称
     */
    categoryNameEn?: string;
    /**
     * 创建时间
     */
    createTime?: string[];
}
