export interface MaterialVO {
    /**
     * 素材分类_id
     */
    classifyId: number;
    /**
     * 主键
     */
    id: number;
    /**
     * 素材高度(px)
     */
    materialHeight?: number;
    /**
     * 文件库_id
     */
    materialImgId: number;
    /**
     * 素材文件名称
     */
    materialName?: string;
    /**
     * 素材备注/描述
     */
    materialRemark?: string;
    /**
     * 素材大小(字节 / b)
     */
    materialSize?: number;
    /**
     * 素材宽度(px)
     */
    materialWidth?: number;
    /**
     * sku编码
     */
    skuCode: string;
    /**
     * spu编码
     */
    spuCode: string;
}


/**
 * MaterialPageQueryDTO，管理后台 - 素材分页 Request DTO
 */
export interface MaterialPageQueryVO extends PageParam {
    /**
     * 素材分类_id集合
     */
    classifyIds?: number[];
    /**
     * 素材文件名称
     */
    materialName?: string;
}


/**
 * MaterialCreateReqBatchDTO，管理后台 - 素材创建 Request DTO
 */
export interface MaterialCreateReqBatchVO {
    classifyId: number;
    files: string[];
    materialRemark: string;
}
