import React, { useRef } from 'react';
import { TemplateDictVO } from '@/models';
import DictDetail from './dict-detail';
import DictData from './dict-data';
import type { DictDetailRef } from './dict-detail'

export default () => {

  const detailRef = useRef<DictDetailRef>()

  return (
    <>
      <div className='flex flex-row'>
        <div className='basis-2/5 '>
          <DictData
            onSelectItem={(item: TemplateDictVO) => {
              detailRef.current?.updateDictData(item);
            }} />
        </div>
        <div className='basis-3/5 '>
          <DictDetail ref={detailRef} />
        </div>
      </div>
    </>
  );
};
