import request from '@/request';
import { GoodsAttrValVO, AttrValNameEnVerifyParam } from '@/models';

const BASE_URL = '/admin-api/main/attr-val';

export default {
    // 更新主属性
    updateGoodsAttrApi: (data: GoodsAttrValVO) => {
        return request.put(`${BASE_URL}/update`, data);
    },

    // 创建主属性
    createGoodsAttrApi: (data: GoodsAttrValVO) => {
        return request.post(`${BASE_URL}/create`, data);
    },

    // 查询主属性详情
    getGoodsAttrApi: (id: number) => {
        return request.get(`${BASE_URL}/get?id=${id}`);
    },

    // 删除主属性
    deleteGoodsAttrApi: (id: number) => {
        return request.delete(`${BASE_URL}/delete?id=${id}`);
    },

    // 主属性名称唯一校验
    valNameEnVerifyUnique: (params: AttrValNameEnVerifyParam) => {
        return request.get(`${BASE_URL}/valNameEnVerifyUnique`, { params });
    },
};
