import request from '@/request';
import { NoticeVO, NoticePageReqVO, PageData } from '@/models';

const BASE_URL = '/admin-api/system/notice';

export default {

    // 查询公告列表
    getNoticePageApi: (params: NoticePageReqVO) => {
        return request.get<PageData<NoticeVO>>(`${BASE_URL}/page`, { params })
    },

    // 查询公告详情
    getNoticeApi: (id: number) => {
        return request.get(`${BASE_URL}/get?id=${id}`)
    },

    // 新增公告
    createNoticeApi: (data: NoticeVO) => {
        return request.post(`${BASE_URL}/create`, data)
    },

    // 修改公告
    updateNoticeApi: (data: NoticeVO) => {
        return request.put(`${BASE_URL}/update`, data)
    },

    // 删除公告
    deleteNoticeApi: (id: number) => {
        return request.delete(`${BASE_URL}/delete?id=${id}`)
    },
};

