import request from '@/request';
import { PositionExportReqVO, PositionVO, PositionPageReqVO, PageData } from '@/models';

const BASE_URL = '/admin-api/system/post';

export default {
    // 查询岗位列表
    getPostPageApi: (params: PositionPageReqVO) => {
        //return await request.get({ url: '/system/post/page', params })
        return request.get<PageData<PositionVO>>(`${BASE_URL}/page`, { params });
    },

    // 获取岗位精简信息列表
    listSimplePostsApi: () => {
        return request.get<PositionVO[]>(`${BASE_URL}/list-all-simple`);
    },

    // 查询岗位详情
    getPostApi: (id: number) => {
        return request.get<PositionVO>(`${BASE_URL}/get?id=${id}`);
    },

    // 新增岗位
    createPostApi: (data: PositionVO) => {
        //return await request.post({ url: '/system/post/create', data })
        return request.post<any>(`${BASE_URL}/create`, data);
    },

    // 修改岗位
    updatePostApi: (data: PositionVO) => {
        return request.put(`${BASE_URL}/update`, data)
    },

    // 删除岗位
    deletePostApi: (id: number) => {
        return request.delete(`${BASE_URL}/delete?id=${id}`)
    },

    //导出岗位
    exportPostApi: (params: PositionExportReqVO) => {
        return request.get(`${BASE_URL}/export`, { params, responseType: 'blob' })
    },

};

