import request from '@/request';
import { 
    SHProductVO, 
    SHProductPageReqVO, 
    UpdateSHProductNameReqVO, 
    UpdateSHProductPriceReqVO, 
    UpdateSHProductDescReqVO, 
    PageData 
} from '@/models';

const BASE_URL = '/admin-api/shopee/product';

export default {

    pageApi: (params: SHProductPageReqVO) => {
        return request.get<PageData<SHProductVO>>(`${BASE_URL}/page`, { params });
    },

    //批量修改标题
    batchUpdateNameApi: (data: UpdateSHProductNameReqVO[]) => {
        return request.put(`${BASE_URL}/batchUpdateName`, data);
    },

    //批量修改价格
    batchUpdatePriceApi: (data: UpdateSHProductPriceReqVO[]) => {
        return request.put(`${BASE_URL}/batchUpdatePrice`, data);
    },

    //批量修改描述
    batchUpdateDescApi: (data: UpdateSHProductDescReqVO[]) => {
        return request.put(`${BASE_URL}/batchUpdateDesc`, data);
    }
}
