import request from '@/request';
import { TemplateDictDetaiPageReqVO, TemplateDictDetailVO, PageData } from '@/models';

const BASE_URL = '/admin-api/template/dict-detail';

export default {
    //获取字典详情分页数据
    getPageApi(params: TemplateDictDetaiPageReqVO) {
        return request.get<PageData<TemplateDictDetailVO>>(`${BASE_URL}/page`, { params });
    },

    //创建模板-数据字典详情
    createApi(data: TemplateDictDetailVO) {
        return request.post<TemplateDictDetailVO>(`${BASE_URL}/create`, data);
    },

    //更新模板-数据字典详情
    updateApi(data: TemplateDictDetailVO) {
        return request.put<TemplateDictDetailVO>(`${BASE_URL}/update`, data);
    },

    //删除模板-数据字典详情
    deleteApi(id: number) {
        return request.delete<boolean>(`${BASE_URL}/delete?id=${id}`);
    },

    //获取模板-数据字典详情
    getApi(id: number) {
        return request.get<TemplateDictDetailVO>(`${BASE_URL}/get?id=${id}`);
    },
    
    //获得模板-数据字典详情列表
    getListApi(ids: string[]) {
        return request.get<PageData<TemplateDictDetailVO>>(`${BASE_URL}/list`, { params: { ids }});
    },
}
