import request from '@/request';
import { TemplateDictVO, TemplateDictDetailVO, TemplateDictPageReqVO, PageData } from '@/models';

const BASE_URL = '/admin-api/template/dict';

export default {

    //获取字典分页
    getDictPageApi: (params: TemplateDictPageReqVO) => {
        return request.get<PageData<TemplateDictVO>>(`${BASE_URL}/page`, { params });
    },

    //获取字典详情
    getDictDetailApi: (id: number) => {
        return request.get(`${BASE_URL}/get?id=${id}`);
    },

    //获取字典列表
    getDictListApi: (ids: string[]) => {
        return request.get(`${BASE_URL}/list?ids=${ids.join(",")}`);
    },

    createDictApi: (data: TemplateDictVO) => {
        return request.post(`${BASE_URL}/create`, data);
    },

    updateDictApi: (data: TemplateDictVO) => {
        return request.put(`${BASE_URL}/update`, data);
    },

    deleteDictApi: (id: number) => {
        return request.delete(`${BASE_URL}/delete?id=${id}`);
    },

    updateDictDetailApi: (data: TemplateDictDetailVO) => {
        return request.put(`${BASE_URL}/update`, data);
    },

    deleteDictDetailApi: (id: number) => {
        return request.delete(`${BASE_URL}/delete?id=${id}`);
    },

};
